#ifndef __GOBLIN_H__
#define __GOBLIN_H__

#include "player.h"

class goblin final: public player_base {
        static const int GAIN_GOLD = 5;
        inline static const float ORC_DMG_MUL = 1.5f;
public:
        goblin(RNG *rng, const feature enabled_features);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
        long_result get_hit(character *ch, const int tATK,
                            const fraction &hit_rate) override;
};

#endif
